Subject: bug#16266: 24.3; `load-theme' prevents immediate setting of themed variables

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 01 Jul 2021 13:41:54 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> I'm not sure I understand this test case.  The problem is that the
> variables defined by the are "overwritten" when you load something that
> is a defvar.  This does seem somewhat surprising, yes, but I think
> that's how it's supposed to work?
>
> The problem here is that test-var2 is a defvar instead of a defcustom -- if
> that's the case, then themes don't work reliably, as you've found out.
>
> So I think this is basically working as intended.  Does anybody have an
> opinion here?

Nobody did, so I'm closing this bug report.  If this should receive more
work, please respond to this email and we'll reopen the bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no